KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase kubelet-start - Write kubelet settings and (re)start the kubelet

SYNOPSIS

kubeadm init phase kubelet-start [OPTIONS]

DESCRIPTION

Write a file with KubeletConfiguration and an environment file with node specific kubelet settings, and then (re)start kubelet.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--dry-run=false
    Don't apply any changes; just output what would be done.

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

--node-name=""
    Specify the node name.

--patches=""
    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Writes a dynamic environment file with kubelet flags from a InitConfiguration file.
      kubeadm init phase kubelet-start --config config.yaml

SEE ALSO

kubeadm-init-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!